DNF5-REPLAY(8)

BEZEICHNUNG
dnf5-replay - Replay-Befehl

ÜBERSICHT

dnf5 replay [Optionen] Transaktionspfad

BESCHREIBUNG

Wiederholt eine Transaktion, die in einem Verzeichnis unter dem angegebenen Transaktionspfad gespeichert ist. Das Transaktionsverzeichnis kann entweder mit der Option --store, die für alle Transaktionsbefehle verfügbar ist, oder mit dem Unterbefehl store des Befehls dnf5-history(8) erstellt werden. Die Wiederholung führt dieselben Aktionen an wie die ursprüngliche Transaktion an den Paketen aus und gibt bei Unterschieden bei den installierten Paketen oder deren Versionen einen Fehler zurück.

Um die Wiederholung auszuführen, muss das Transaktionsverzeichnis eine Datei mit der Transaktion im JSON-Format namens transaction.json enthalten. Das Verzeichnis kann auch Pakete, Comps-Gruppen oder Comps-Umgebungen enthalten, die in der wiedergegebenen Transaktion verwendet werden.

OPTIONEN

    --ignore-extras
        betrachtet zusätzliche Pakete, die in die Transaktion eingebunden werden, nicht als Fehler. Sie werden jedoch weiterhin als Warnungen gemeldet.

    --ignore-installed
        betrachtet Nichtübereinstimmungen zwischen installierten und gespeicherten Transaktionspaketen nicht als Fehler. Sie werden jedoch weiterhin als Warnungen gemeldet. Bei Installationsaktionen werden bereits installierte Pakete übersprungen. Bei Aktualisierungsaktionen werden nicht installierte Gruppen oder Umgebungen übersprungen. Bei Deinstallationsaktionen werden nicht installierte Pakete/Gruppen/Umgebungen übersprungen. Diese Option kann zu einer leeren Transaktion führen.

    --skip-broken
        behebt etwaige Abhängigkeitsprobleme, indem Pakete, die Probleme verursachen, aus der Transaktion entfernt werden.

    --skip-unavailable
        überspringt einige in der Transaktion gespeicherte Pakete, falls sie auf dem Zielsystem nicht verfügbar sind, anstatt einen Fehler zu verursachen.

BEISPIELE

    dnf5 replay ./transaction
        Wiederholt eine Transaktion, die in der Datei ./transaction gespeichert ist.

    dnf5 replay ./transaction --skip-unavailable
        Wiederholt eine Transaktion, die in der Datei ./transaction gespeichert ist, wobei nicht verfügbare Pakete übersprungen werden.

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).